petsc-3.4.2 2013-07-02

# VecPointwiseDivide

Computes the componentwise division w = x/y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecPointwiseDivide(Vec w,Vec x,Vec y)

Logically Collective on Vec

### Input Parameters

x, y -the vectors

### Output Parameter

w -the result

Notes: any subset of the x, y, and w may be the same vector.

### See Also

VecPointwiseMult(), VecPointwiseMax(), VecPointwiseMin(), VecPointwiseMaxAbs(), VecMaxPointwiseDivide()

Level:advanced
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex1f90.F.html
src/vec/vec/examples/tutorials/ex20f90.F90.html
src/ksp/ksp/examples/tutorials/ex10.c.html